Page MenuHomePhabricator

Audit $wgExtensionFunction and extension.json callback usage by Wikimedia-deployed extensions
Open, MediumPublic

Description

@Krinkle and @Legoktm started doing this earlier this week, but we should audit all of the usage of $wgExtensionFunctions and extension.json's onRegistration callbacks to see what is still needed, and what can be removed.


Search results: Code search: ExtensionFunctions

Event Timeline

Legoktm created this task.Nov 10 2017, 3:55 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 10 2017, 3:55 AM
Krinkle updated the task description. (Show Details)Nov 22 2017, 10:40 PM
Krinkle triaged this task as Medium priority.Nov 22 2017, 10:45 PM
Krinkle moved this task from Limbo to Watching on the Performance-Team (Radar) board.

Change 447928 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/CodeReview@master] Use custom ResourceLoader module instead of $wgExtensionFunctions

https://gerrit.wikimedia.org/r/447928

Change 447931 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/Interwiki@master] Get rid of most of the need for an extension function

https://gerrit.wikimedia.org/r/447931

Change 447928 merged by jenkins-bot:
[mediawiki/extensions/CodeReview@master] Use custom ResourceLoader module instead of $wgExtensionFunctions

https://gerrit.wikimedia.org/r/447928

Change 447932 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/MultimediaViewer@master] Remove unnecessary $wgExtensionFunctions

https://gerrit.wikimedia.org/r/447932

Change 447933 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/BounceHandler@master] Improve default $wgUnrecognizedBounceNotify behavior

https://gerrit.wikimedia.org/r/447933

Change 447934 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/BounceHandler@master] Provide a default for $wgVERPdomainPart at runtime

https://gerrit.wikimedia.org/r/447934

Change 447936 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/Echo@master] Use UserGetDefaultOptions hook instead of $wgExtensionFunctions

https://gerrit.wikimedia.org/r/447936

Change 447932 merged by jenkins-bot:
[mediawiki/extensions/MultimediaViewer@master] Remove unnecessary $wgExtensionFunctions

https://gerrit.wikimedia.org/r/447932

Krinkle updated the task description. (Show Details)Jul 26 2018, 2:52 AM

Change 447936 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Use UserGetDefaultOptions hook instead of $wgExtensionFunctions

https://gerrit.wikimedia.org/r/447936

Change 447931 merged by jenkins-bot:
[mediawiki/extensions/Interwiki@master] Get rid of most of the need for an extension function

https://gerrit.wikimedia.org/r/447931

Change 448065 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/OAuth@master] Get rid of extension.json callback

https://gerrit.wikimedia.org/r/448065

Change 448069 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/ZeroPortal@master] Don't use $wgExtensionFunctions for an extension dependency

https://gerrit.wikimedia.org/r/448069

Change 448069 merged by jenkins-bot:
[mediawiki/extensions/ZeroPortal@master] Don't use $wgExtensionFunctions for an extension dependency

https://gerrit.wikimedia.org/r/448069

Change 448065 merged by jenkins-bot:
[mediawiki/extensions/OAuth@master] Get rid of extension.json callback

https://gerrit.wikimedia.org/r/448065

Change 449034 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/ParserFunctions@master] Enable string functions if running parser/PHPUnit tests

https://gerrit.wikimedia.org/r/449034

Change 447934 merged by jenkins-bot:
[mediawiki/extensions/BounceHandler@master] Provide a default for $wgVERPdomainPart at runtime

https://gerrit.wikimedia.org/r/447934

Change 447933 merged by jenkins-bot:
[mediawiki/extensions/BounceHandler@master] Improve default $wgUnrecognizedBounceNotify behavior

https://gerrit.wikimedia.org/r/447933

Change 449034 merged by jenkins-bot:
[mediawiki/extensions/ParserFunctions@master] Enable string functions if running parser/PHPUnit tests

https://gerrit.wikimedia.org/r/449034

WDoranWMF removed Legoktm as the assignee of this task.Jul 5 2019, 6:27 PM
Krinkle updated the task description. (Show Details)Sep 30 2019, 1:32 AM

Untagging from T189966 as it does not stand out in perf analysis. Possibly because we've already fixed the vast majority by now, but de-parenting because its current sub tasks are not required for its completion.